API reference

GET /api/v2/buckets

Buckets owned by the account.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.
regionstringnoRestrict results to a single region code.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "bkt_h72uj38mtc5i1s",
      "created_at": "2023-11-13T01:28:27Z",
      "name": "media",
      "region": "zrh1",
      "objects": 12722,
      "bytes": 437850000
    },
    {
      "id": "bkt_g0rgrv4oeitesb",
      "created_at": "2024-02-28T16:03:57Z",
      "name": "backups",
      "region": "zrh1",
      "objects": 42161,
      "bytes": 397210634
    },
    {
      "id": "bkt_moixv6j4rzf7q7",
      "created_at": "2023-09-15T09:38:46Z",
      "name": "media",
      "region": "zrh1",
      "objects": 14699,
      "bytes": 356567948
    }
  ],
  "pagination": {
  ...

Example

curl -s https://media.skunkeu.win/api/v2/buckets